- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#body.response_body)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/getUcpSettings#try-it)

Retrieves the currently stored, validated `UcpSettings` for a Merchant Center account.

To check the status of an asynchronous validation operation initiated by `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings/updateUcpSettings#google.shopping.merchant.accounts.v1alpha.UcpSettingsService.UpdateUcpSettings`, use `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings.operations/get#google.longrunning.Operations.GetOperation` instead.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1alpha/{name=accounts/*/programs/*/ucpSettings}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the `UcpSettings` resource to retrieve. Format: `accounts/{account}/programs/{program}/ucpSettings`. The only supported `{program}` value is `ucp-integration` (for example, `accounts/123456/programs/ucp-integration/ucpSettings`). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/merchant/api/reference/rest/accounts_v1alpha/accounts.programs.ucpSettings#UcpSettings`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).